
Redmine - Feature #724

change "versions" to "milestones"

2008-02-22 18:33 - chris mcharg

Status: New Start date: 2008-02-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Redmine can be used for tracking in many different types of projects, but grouping tickets by "version" does not make sense in many

situations. I feel that the term milestone is a lot more inclusive, allowing for more flexibility.  Its easy to have a version/release as a

milestone, but the opposite doesn't really make sense.

I think it would be great if "versions" could be renamed to "milestones."

"Versions" could be added as a separate item, but I guess it might not be needed as Redmine has custom fields.

This would help with #723 too.

Related issues:

Related to Redmine - Feature #374: Support for milestones/iterations as part ... New

Related to Redmine - Feature #13387: Improving Redmine's version model (not j... New

Related to Redmine - Feature #17907: Give 'version' another meaning New

Has duplicate Redmine - Feature #4178: Optimize Redmine for any project, not ... Closed 2009-11-06

History

#1 - 2008-02-25 13:44 - Nikolay Solakov

Hi,

I think you're right. But on the other side, Redmine is translatable, mean that you can change .yml files as you like.

If I want something like you, I change the .yml file. Thus everybody is pleased. :)

Regards,

Nikolay

#2 - 2008-02-25 16:12 - chris mcharg

Thanks for the respsose Nikolay.

I know what you mean about it being translatable, but shouldn't we aim for the best out of the box...?

#3 - 2008-02-25 17:02 - Nikolay Solakov

I totally agree with you.

But "out of the box" is different for every user of Redmine.

There will be always people who don't like this or that label somewhere :)

Regards,

Nikolay

#4 - 2008-05-08 05:49 - Henrique Bastos

I made that translation, and the user experience is fine.

But, IMHO the Version in redmine works semantically as Milestones, so why don't just "fix it"? An enumerator custom field for Version works great.

Then it would be great if Sprints could extends Milestones. The difference is that Sprints can group issues from all projects or issues from a specific

project tree (Base Proj, Sub Proj 1, Sub Proj 2...)

#5 - 2009-02-11 10:14 - Ве Fio

Nikolay Solakov wrote:

I totally agree with you.

But "out of the box" is different for every user of Redmine.
There will be always people who don't like this or that label somewhere :)

 Redmine is good for all kinds of projects. A version is a kind of milestone. A software developer knows this. But not all milestones are versions. I set

up a project in a clumsy way because I ignored "Versions".

Trac has "Milestones" and "Versions". Redmine "Versions" are like Trac "Milestones". It can be confusing. Redmine sometimes talks about

"milestones" too.

#6 - 2009-10-09 13:10 - Eric Voisard

I'm all for the differentiation between Versions and Milestones. Version really is software development specific, and the difference between Redmine

and all other FOSS PMS is that it is more generic and more open to non-software projects. That's in my POW what make its power (and that's why we

chose it).

Maybe versions and milestones are semantically the same things in software development, but version has no meaning in many other kinds of

projects. A milestone is a place on a timeline (there's is a chronology). A version well is a version of something. There can be Version 1 and Version

2, but there can also be Version Lite and Version Premium...

Versions can be worked on in parallel while at some point you shouldn't change the early initiation phase of a project once you've reached its closing

phase.

We use Redmine for software and non-software projects. Translating Version to Milestone wouldn't fit well with software projects, and Version doesn't

fit well with non-software projects. To me, they really are different things...

Maybe I'm missing something about the usage of Versions in Redmine, but practically, I don't see how to properly handle the Milestones of a project

with this functionality, and I don't think it's just a matter of naming...

There is an interesting discussion about that in the forum:

"Versions vs Milestones" http://www.redmine.org/boards/1/topics/214

Redmine is great anyway! Thanks!

Eric

#7 - 2012-11-02 17:10 - Daniel Felix

Hi,

well I don't think that versions or milestones mutually exclude each others.

In my opinion, those are parallel or hierarchical items, which could extend each other quite good.

Some renaming could be done in each installation itself in your locals.

#8 - 2012-11-08 00:33 - Matthew Houston

I see there are a couple of feature requests / threads relating to this particular functionality.  I would also like to request it.  The version functionality

kind of fulfils what is required,  though we don't use Redmine for software development at all the terminology really throws non-technical users.

#9 - 2013-03-07 12:26 - Anonymous

Since I'm evangelizing it elsewhere, I'll do it here too: I'm proposing a major expansion of version functionality in Redmine that would address all the

needs described in all of these different change requests, and then some. Have a look and let me know if it hits all the right spots! #13387

#10 - 2015-02-14 05:51 - Mischa The Evil

- Related to Feature #17907: Give 'version' another meaning added

#11 - 2015-06-01 10:19 - Ebrahim Mohammadi

I wonder why such an obvious improvement hasn't been considered and applied yet.

#12 - 2015-07-15 15:18 - Robert Schneider

Ebrahim Mohammadi wrote:

I wonder why such an obvious improvement hasn't been considered and applied yet.

 True. Unfortunately, only few people know what happens behind the scenes...

#13 - 2016-06-13 03:54 - Go MAEDA

- Target version set to Candidate for next major release
#14 - 2016-07-06 18:01 - iransamin.ir sabasa

Hi,

Please notice that milestone is a method of measuring the distance passed not the distance to be passed in a planed road map. Please refer to

Wikipedia for more info.

#15 - 2018-09-19 09:00 - Robert Schneider

As much as I appreciate Redmine, I find it sad that such a tiny improvement does not get realized. "Next major release" for this feature request ...

does that mean Redmine 5? That will take years...

Redmine really should get more developer resources somehow.

#16 - 2018-09-19 09:59 - Bernhard Rohloff

Depending on what you like to plan the one or the other could better fit your needs.

Version, Milestone, Sprint, Work package, it heavily depends on your type of project.

I'm afraid this will be an ongoing discussion far beyond Redmine 5.

A while ago I've proposed a perhaps more universial approach in  #17907#note-9.

#17 - 2018-09-19 16:29 - Anonymous

+1

#18 - 2023-06-12 14:14 - Martin Mayr-gebhard

+1
